﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace jQueryMapMVC4Demo.Controllers
{
    public class HomeController : Controller
    {
        #region Fields

        NorthwindEntities nw = new NorthwindEntities();

        #endregion //Fields

        #region Index
        public ActionResult Index()
        {
            ViewBag.Message = "Infragistics jQuery Dashboard.";

            return View();
        }
        #endregion //Index

        #region DashboardJs
        public ActionResult DashboardJs()
        {
            ViewBag.Message = "Dashboard Customers JavaScript";

            return View();
        }
        #endregion //DashboardJs

        #region DashboardMvc
        public ActionResult DashboardMvc()
        {
            ViewBag.Message = "Dashboard Customers MVC";

            return View();
        }
        #endregion //DashboardMvc


        #region About
        public ActionResult About()
        {
            ViewBag.Message = "About MVC4 Dashboard  Demo.";

            return View();
        }
        #endregion //About

        #region Contact
        public ActionResult Contact()
        {
            ViewBag.Message = "Contact Author.";

            return View();
        }
        #endregion //Contact

        #region Customers
        public JsonResult Customers()
        {

            return Json(nw.Customers, JsonRequestBehavior.AllowGet);
        }
        #endregion //Customers

        #region Orders
        [OutputCache(VaryByParam = "userID", Duration = 120)]
        public JsonResult Orders(string userID)
        {
            return Json(nw.Orders.Where(p => p.CustomerID == userID), JsonRequestBehavior.AllowGet);
        }
        #endregion //Orders


    }
}
